ECHO OFF
PATH=C:\DOS;C:\MAGGEY\COMM;C:\;C:\MAGGEY\WW;C:\MAGGEY\PRGMS;
SET COMSPEC=C:\COMMAND.COM
CD\MAGGEY\PRGMS
GOTO STARTUP
:STARTUP
MAGGEY
  CONTROLE
  IF ERRORLEVEL 4 GOTO MAGCOMM
  IF ERRORLEVEL 3 GOTO MAGWORD
  IF ERRORLEVEL 2 GOTO MAGEASY
  IF ERRORLEVEL 0 GOTO STOP
  GOTO STARTUP
:MAGEASY
  MAGEASY
  GOTO STARTUP
:MAGWORD
  CD\MAGGEY\WW\PROGRAM
  THES
  WWPC
  THES /U
  CD\MAGGEY\PRGMS
  GOTO STARTUP
:MAGCOMM
  HQREPT
  MAGHOST
  GOTO STARTUP
:STOP
  CD\
